Package org.apache.sling.scripting.sightly.impl.plugin

## Class DefaultPluginInvoke

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.plugin.DefaultPluginInvoke

All Implemented Interfaces:
  `PluginInvoke`

    public class DefaultPluginInvoke
    extends Object
    implements PluginInvoke

Empty implementation for plugin invocation. Use this to implement methods selectively.

See Also:
  `Plugin`

### Constructor Summary

Constructors
`DefaultPluginInvoke()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `afterAttribute​(PushStream stream, String attributeName)`
`void` `afterAttributes​(PushStream stream)`
`void` `afterAttributeValue​(PushStream stream, String attributeName)`
`void` `afterChildren​(PushStream stream)`
`void` `afterElement​(PushStream stream)`
`void` `afterTagClose​(PushStream stream, boolean isSelfClosing)`
`void` `afterTagOpen​(PushStream stream)`
`void` `beforeAttribute​(PushStream stream, String attributeName)`
`void` `beforeAttributes​(PushStream stream)`
`void` `beforeAttributeValue​(PushStream stream, String attributeName, ExpressionNode attributeValue)`
`void` `beforeChildren​(PushStream stream)`
`void` `beforeElement​(PushStream stream, String tagName)`
`void` `beforeTagClose​(PushStream stream, boolean isSelfClosing)`
`void` `beforeTagOpen​(PushStream stream)`
`void` `onPluginCall​(PushStream stream, PluginCallInfo callInfo, Expression expression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultPluginInvoke

    public DefaultPluginInvoke()

### Method Detail

#### beforeElement

    public void beforeElement​(PushStream stream,
                              String tagName)

Specified by:
  `beforeElement` in interface `PluginInvoke`

#### beforeTagOpen

    public void beforeTagOpen​(PushStream stream)

Specified by:
  `beforeTagOpen` in interface `PluginInvoke`

#### beforeAttributes

    public void beforeAttributes​(PushStream stream)

Specified by:
  `beforeAttributes` in interface `PluginInvoke`

#### beforeAttribute

    public void beforeAttribute​(PushStream stream,
                                String attributeName)

Specified by:
  `beforeAttribute` in interface `PluginInvoke`

#### beforeAttributeValue

    public void beforeAttributeValue​(PushStream stream,
                                     String attributeName,
                                     ExpressionNode attributeValue)

Specified by:
  `beforeAttributeValue` in interface `PluginInvoke`

#### afterAttributeValue

    public void afterAttributeValue​(PushStream stream,
                                    String attributeName)

Specified by:
  `afterAttributeValue` in interface `PluginInvoke`

#### afterAttribute

    public void afterAttribute​(PushStream stream,
                               String attributeName)

Specified by:
  `afterAttribute` in interface `PluginInvoke`

#### onPluginCall

    public void onPluginCall​(PushStream stream,
                             PluginCallInfo callInfo,
                             Expression expression)

Specified by:
  `onPluginCall` in interface `PluginInvoke`

#### afterAttributes

    public void afterAttributes​(PushStream stream)

Specified by:
  `afterAttributes` in interface `PluginInvoke`

#### afterTagOpen

    public void afterTagOpen​(PushStream stream)

Specified by:
  `afterTagOpen` in interface `PluginInvoke`

#### beforeChildren

    public void beforeChildren​(PushStream stream)

Specified by:
  `beforeChildren` in interface `PluginInvoke`

#### afterChildren

    public void afterChildren​(PushStream stream)

Specified by:
  `afterChildren` in interface `PluginInvoke`

#### beforeTagClose

    public void beforeTagClose​(PushStream stream,
                               boolean isSelfClosing)

Specified by:
  `beforeTagClose` in interface `PluginInvoke`

#### afterTagClose

    public void afterTagClose​(PushStream stream,
                              boolean isSelfClosing)

Specified by:
  `afterTagClose` in interface `PluginInvoke`

#### afterElement

    public void afterElement​(PushStream stream)

Specified by:
  `afterElement` in interface `PluginInvoke`